pycatia.hybrid_shape_interfaces.hybrid_shape_sphere

Module initially auto generated using V5Automation files from CATIA V5 R28 on 2020-07-06 14:02:20.222384

Warning

The notes denoted “CAA V5 Visual Basic Help” are to be used as reference only. They are there as a guide as to how the visual basic / catscript functions work and thus help debugging in pycatia.

class pycatia.hybrid_shape_interfaces.hybrid_shape_sphere.HybridShapeSphere(com_object)

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)

System.IUnknown
System.IDispatch
System.CATBaseUnknown
System.CATBaseDispatch
System.AnyObject
MecModInterfaces.HybridShape
HybridShapeSphere

Represents the hybrid shape sphere feature object.
Role: To access the data of the hybrid shape sphere explicit feature
object.
The Sphere feature : a Sphere is made up of 4 angles parameters.

See also:
HybridShapeFactory
property axis: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Axis() As Reference

Returns or sets axis on the object.

Parameters:

oDir
return value for CATScript applications, with (IDLRETVAL) function
type

See also:
Reference
See also:
HybridShapeFactory
Return type:

Reference

property begin_meridian_angle: Angle

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property BeginMeridianAngle() As Angle (Read Only)

Returns BeginMeridianAngle on the object.

Parameters:

oAngle
return value for CATScript applications, with (IDLRETVAL) function
type

See also:
Angle
See also:
HybridShapeFactory
Return type:

Angle

property begin_parallel_angle: Angle

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property BeginParallelAngle() As Angle (Read Only)

Returns BeginParallelAngle on the object.

Parameters:

oAngle
return value for CATScript applications, with (IDLRETVAL) function
type

See also:
Angle
See also:
HybridShapeFactory
Return type:

Angle

property center: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Center() As Reference

Returns or sets the sphere center.
Sub-element(s) supported (see Boundary object): Vertex.

Example:
This example retrieves in HybShpSphereCenter the center of the
HybShpSphere hybrid shape sphere.

Dim HybShpSphereCenter As Reference
HybShpSphereCenter = HybShpSphere.Center
Return type:

Reference

property end_meridian_angle: Angle

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property EndMeridianAngle() As Angle (Read Only)

Returns EndMeridianAngle on the object.

Parameters:

oAngle
return value for CATScript applications, with (IDLRETVAL) function
type

See also:
Angle
See also:
HybridShapeFactory
Return type:

Angle

property end_parallel_angle: Angle

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property EndParallelAngle() As Angle (Read Only)

Returns EndParallelAngle on the object.

Parameters:

oAngle
return value for CATScript applications, with (IDLRETVAL) function
type

See also:
Angle
See also:
HybridShapeFactory
Return type:

Angle

property limitation: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Limitation(long iLimitationType)

Returns whether the sphere is created as a whole sphere or
not.
Legal values: 0 for a sphere with angles and 1 for a whole
sphere.

Example:
Return type:

int

property radius: Length

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Radius() As Length (Read Only)

Role: Get sphere radius.

Parameters:

oRadius
Sphere radius return value for CATScript applications, with
(IDLRETVAL) function type

See also:
Length
See also:
HybridShapeFactory
Return type:

Length

set_begin_meridian_angle(i_angle: float) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetBeginMeridianAngle(double iAngle)

Sets BeginMeridianAngle on the object.

Parameters:

iAngle

See also:
Angle
See also:
HybridShapeFactory
Parameters:

i_angle (float) –

Return type:

None

set_begin_parallel_angle(i_angle: float) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetBeginParallelAngle(double iAngle)

Sets BeginParallelAngle on the object.

Parameters:

iAngle

See also:
Angle
See also:
HybridShapeFactory
Parameters:

i_angle (float) –

Return type:

None

set_end_meridian_angle(i_angle: float) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetEndMeridianAngle(double iAngle)

Sets EndMeridianAngle on the object.

Parameters:

iAngle

See also:
Angle
See also:
HybridShapeFactory
Parameters:

i_angle (float) –

Return type:

None

set_end_parallel_angle(i_angle: float) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetEndParallelAngle(double iAngle)

Sets EndParallelAngle on the object.

Parameters:

iAngle

See also:
Angle
See also:
HybridShapeFactory
Parameters:

i_angle (float) –

Return type:

None

set_radius(i_radius: float) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetRadius(double iRadius)

Sets Radius on the object.

Parameters:

iAngle

See also:
Angle
See also:
HybridShapeFactory
Parameters:

i_radius (float) –

Return type:

None